loci.formats.in

## Class LeicaHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - loci.common.xml.BaseHandler
    - - loci.formats.in.LeicaHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public class LeicaHandler
      extends loci.common.xml.BaseHandler

  SAX handler for parsing XML in Leica LIF and Leica TCS files.
  Author:
    Melissa Linkert melissa at glencoesoftware.com

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `LeicaHandler.Channel`
    `(package private) class` | `LeicaHandler.Detector`
    `(package private) class` | `LeicaHandler.Laser`
    `(package private) class` | `LeicaHandler.MultiBand`
    `(package private) class` | `LeicaHandler.ROI`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `alternateCenter`
    `private java.util.Map<java.lang.Integer,java.lang.String>` | `bytesPerAxis`
    `private boolean` | `canParse`
    `private java.util.Map<java.lang.String,LeicaHandler.Channel>` | `channels`
    `private java.lang.String` | `collection`
    `private java.util.List<CoreMetadata>` | `core`
    `private int` | `count`
    `private java.util.Map<java.lang.String,ome.units.quantity.Time>` | `deltaT`
    `private int` | `detectorChannel`
    `private java.util.List<LeicaHandler.Detector>` | `detectors`
    `private java.lang.String` | `elementName`
    `private java.util.Map<java.lang.String,ome.units.quantity.Time>` | `exposureTimes`
    `private int` | `extras`
    `private long` | `firstStamp`
    `private java.util.Hashtable` | `globalMetadata`
    `private int` | `laserCount`
    `private java.util.List<LeicaHandler.Laser>` | `lasers`
    `private MetadataLevel` | `level`
    `private boolean` | `linkedInstruments`
    `private static org.slf4j.Logger` | `LOGGER` Logger for this class.
    `private java.util.Vector<java.lang.String>` | `lutNames`
    `private java.util.List<LeicaHandler.MultiBand>` | `multiBands`
    `private java.util.Deque<java.lang.String>` | `nameStack`
    `private int` | `nextChannel`
    `private int` | `nextFilter`
    `private int` | `nextROI`
    `private int` | `numChannels`
    `private int` | `numDatasets`
    `private double` | `physicalSizeX`
    `private double` | `physicalSizeY`
    `private java.lang.Double` | `pinhole`
    `private LeicaHandler.ROI` | `roi`
    `private boolean` | `setPlaneMetadataInStore`
    `private MetadataStore` | `store`
    `private java.util.List<ome.units.quantity.Length>` | `xPos`
    `private java.util.List<ome.units.quantity.Length>` | `yPos`
    `private java.lang.Double` | `zoom`
    `private java.util.List<ome.units.quantity.Length>` | `zPos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LeicaHandler(MetadataStore store, MetadataLevel level)`
    `LeicaHandler(MetadataStore store, MetadataLevel level, boolean planesInStore)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
    `java.util.List<CoreMetadata>` | `getCoreMetadataList()`
    `java.util.Map<java.lang.String,ome.units.quantity.Time>` | `getDeltaT()`
    `java.util.Map<java.lang.String,ome.units.quantity.Time>` | `getExposureTimes()`
    `java.util.Hashtable` | `getGlobalMetadata()`
    `java.util.Vector<java.lang.String>` | `getLutNames()`
    `private java.util.Hashtable` | `getSeriesHashtable(int series)`
    `private double` | `parseDouble(java.lang.String number)`
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`
    `private void` | `storeKeyValue(java.util.Hashtable h, java.lang.String key, java.lang.String value)`
    `private void` | `storeSeriesHashtable(int series, java.util.Hashtable h)`

    - ### Methods inherited from class loci.common.xml.BaseHandler

      `resolveEntity`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOGGER

          private static final org.slf4j.Logger LOGGER

      Logger for this class.

    - #### nameStack

          private java.util.Deque<java.lang.String> nameStack

    - #### elementName

          private java.lang.String elementName

    - #### collection

          private java.lang.String collection

    - #### count

          private int count

    - #### numChannels

          private int numChannels

    - #### extras

          private int extras

    - #### lutNames

          private java.util.Vector<java.lang.String> lutNames

    - #### xPos

          private java.util.List<ome.units.quantity.Length> xPos

    - #### yPos

          private java.util.List<ome.units.quantity.Length> yPos

    - #### zPos

          private java.util.List<ome.units.quantity.Length> zPos

    - #### physicalSizeX

          private double physicalSizeX

    - #### physicalSizeY

          private double physicalSizeY

    - #### numDatasets

          private int numDatasets

    - #### globalMetadata

          private java.util.Hashtable globalMetadata

    - #### store

          private MetadataStore store

    - #### nextChannel

          private int nextChannel

    - #### zoom

          private java.lang.Double zoom

    - #### pinhole

          private java.lang.Double pinhole

    - #### nextFilter

          private int nextFilter

    - #### nextROI

          private int nextROI

    - #### roi

          private LeicaHandler.ROI roi

    - #### alternateCenter

          private boolean alternateCenter

    - #### linkedInstruments

          private boolean linkedInstruments

    - #### detectorChannel

          private int detectorChannel

    - #### core

          private java.util.List<CoreMetadata> core

    - #### canParse

          private boolean canParse

    - #### firstStamp

          private long firstStamp

    - #### bytesPerAxis

          private java.util.Map<java.lang.Integer,java.lang.String> bytesPerAxis

    - #### multiBands

          private java.util.List<LeicaHandler.MultiBand> multiBands

    - #### detectors

          private java.util.List<LeicaHandler.Detector> detectors

    - #### lasers

          private java.util.List<LeicaHandler.Laser> lasers

    - #### channels

          private java.util.Map<java.lang.String,LeicaHandler.Channel> channels

    - #### level

          private MetadataLevel level

    - #### laserCount

          private int laserCount

    - #### setPlaneMetadataInStore

          private boolean setPlaneMetadataInStore

    - #### exposureTimes

          private java.util.Map<java.lang.String,ome.units.quantity.Time> exposureTimes

    - #### deltaT

          private java.util.Map<java.lang.String,ome.units.quantity.Time> deltaT

  - ### Constructor Detail

    - #### LeicaHandler

          public LeicaHandler(MetadataStore store,
                              MetadataLevel level)

    - #### LeicaHandler

          public LeicaHandler(MetadataStore store,
                              MetadataLevel level,
                              boolean planesInStore)

  - ### Method Detail

    - #### getCoreMetadataList

          public java.util.List<CoreMetadata> getCoreMetadataList()

    - #### getGlobalMetadata

          public java.util.Hashtable getGlobalMetadata()

    - #### getLutNames

          public java.util.Vector<java.lang.String> getLutNames()

    - #### getExposureTimes

          public java.util.Map<java.lang.String,ome.units.quantity.Time> getExposureTimes()

    - #### getDeltaT

          public java.util.Map<java.lang.String,ome.units.quantity.Time> getDeltaT()

    - #### endElement

          public void endElement(java.lang.String uri,
                                 java.lang.String localName,
                                 java.lang.String qName)

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`

    - #### startElement

          public void startElement(java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes attributes)

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`

    - #### getSeriesHashtable

          private java.util.Hashtable getSeriesHashtable(int series)

    - #### storeSeriesHashtable

          private void storeSeriesHashtable(int series,
                                            java.util.Hashtable h)

    - #### parseDouble

          private double parseDouble(java.lang.String number)

    - #### storeKeyValue

          private void storeKeyValue(java.util.Hashtable h,
                                     java.lang.String key,
                                     java.lang.String value)

Copyright © 2026 Open Microscopy Environment